Draft Text

From FreeCAD Documentation
Revision as of 19:39, 27 October 2018 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft_Text

Menyplacering
Draft → Text
Arbetsbänkar
Skiss, Arch
Standard genväg
T E
Introducerad i version
-
Se även
Ingen

Beskrivning

Detta verktyg ber användaren om en placeringspunkt, sedan kan text matas in i en textlåda.

To create solid text shapes use Draft ShapeString with Part Extrude.

Bruk

  • Markera punkter i ett tomt område i 3d vyn, eller på ett existerande objekt.
  • Nedtryckning av CTRL kommer att snäppa din punkt till tillgängliga snäpp-punkter.
  • Skriv in siffror för att manuellt mata in en koordinat.
  • Om du trycker på ESC så avbryts funktionen.
  • Den skapade texten kommer att ha nuvarande linjestil.
  • När du redigerar texten, så kommer en nedtryckning av ENTER eller NEDPIL tillåta dig redigera en ne textrad.
  • Nedtryckning av UPPIL tillåter dig att redigera föregående textrad.
  • Nedtryckning av ENTER tå gånger (d.v.s. lämna den sista raden tom) adderar texten till dokumentet och stänger redigeraren.

Options

  • Pressing CTRL will snap your point to available snap locations.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Pressing ESC will cancel the operation.
  • When editing the text, pressing ENTER or DOWN ARROW allow you to enter or edit a next line of text.
  • Pressing UP ARROW allows you to edit a previous line of text.
  • Pressing ENTER twice (thus leaving the last line empty) adds the text to the document and closes the editor.

Properties

  • DataPosition: The base point of the text block
  • DataLabel Text: The contents of the text block
  • VyDisplay Mode: Specifies if the text is aligned to the scene axes or always faces the camera
  • VyFont Size: The size of the letters
  • VyJustification: Specifies if the text is aligned to the left, right or center of the base point.
  • VyLine Spacing: Specifies the space between lines of text
  • VyRotation: Specifies a rotation to be applied to the text
  • VyRotation Axis: Specifies the axis to use for the rotation
  • VyFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scripting

The Text tool can by used in macros and from the python console by using the following function:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Creates a Text object, at the given point given by a FreeCAD.Vector
  • stringlist is a string, or a list of strings; if it's a list, each element is displayed in one line
  • The current Draft Linestyle specified in preferences are used
  • If screen is True, the text always faces the camera view direction, otherwise it lies on the XY plane

Example:

import FreeCAD, Draft
Draft.makeText("This is a sample text", FreeCAD.Vector(1,1,0))